﻿using Syncfusion.WinForms.Controls;
using Syncfusion.WinForms.DataGrid.Styles;
using System.Windows.Forms;
using Syncfusion.WinForms.DataGrid.Enums;
using Syncfusion.WinForms.DataGrid;
using Syncfusion.WinForms.DataGrid.Renderers;
using Syncfusion.WinForms.GridCommon.ScrollAxis;
using Syncfusion.Data;

namespace GettingStarted
{   
    public partial class Form1 : Form
    {
        #region Constructor
        public Form1()
        {
            InitializeComponent();
            var data = new OrderInfoCollection();
            this.sfDataGrid.AutoGenerateColumns = false;
            sfDataGrid.DataSource = data.OrdersListDetails;

            this.sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "OrderID"});
            this.sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "CustomerID" });
            this.sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "ProductName" });
            this.sfDataGrid.Columns.Add(new GridNumericColumn() { MappingName = "Quantity" });
            this.sfDataGrid.Columns.Add(new GridTextColumn() { MappingName = "ShipCountry" });

            this.sfDataGrid.AllowDeleting = true;

            this.sfDataGrid.Columns.Add(new GridButtonColumn()
            {
                MappingName = "Quantity",
                HeaderText = "Remove",
                AllowDefaultButtonText = true,
                DefaultButtonText = "Remove this row"
            });

            this.sfDataGrid.CellButtonClick += sfDataGrid_CellButtonClick;
        }

        void sfDataGrid_CellButtonClick(object sender, Syncfusion.WinForms.DataGrid.Events.CellButtonClickEventArgs e)
        {
            int _Dgdeletingrowindex = sfDataGrid.TableControl.ResolveToRecordIndex(sfDataGrid.CurrentCell.RowIndex);
            sfDataGrid.View.RemoveAt(_Dgdeletingrowindex);

           // Or you can call the below code the delete the selected record
           // this.sfDataGrid.DeleteSelectedRecords();
        }

        #endregion 
    }
}
